org.apache.commons.math.optimization.fitting

## Class PolynomialFitter.ParametricPolynomial

- java.lang.Object
- - org.apache.commons.math.optimization.fitting.PolynomialFitter.ParametricPolynomial

All Implemented Interfaces:
  ParametricRealFunction

Enclosing class:
  PolynomialFitter

    private static class PolynomialFitter.ParametricPolynomial
    extends Object
    implements ParametricRealFunction

Dedicated parametric polynomial class.

### Constructor Summary

Constructors
`private` `PolynomialFitter.ParametricPolynomial()`

### Method Summary

Methods
`double[]` `gradient(double x, double[] parameters)` Compute the gradient of the function with respect to its parameters.
`double` `value(double x, double[] parameters)` Compute the value of the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolynomialFitter.ParametricPolynomial

    private PolynomialFitter.ParametricPolynomial()

### Method Detail

#### gradient

    public double[] gradient(double x,
                    double[] parameters)

Compute the gradient of the function with respect to its parameters.

Specified by:
  `gradient` in interface `ParametricRealFunction`
Parameters:
  `x` - the point for which the function value should be computed
  `parameters` - function parameters
Returns:
  the value

#### value

    public double value(double x,
               double[] parameters)

Compute the value of the function.

Specified by:
  `value` in interface `ParametricRealFunction`
Parameters:
  `x` - the point for which the function value should be computed
  `parameters` - function parameters
Returns:
  the value